checkpointing:
  every_n_epochs: 1
  monitor: val_total_loss
  save_last: true
  save_top_k: 3
dataset:
  atom_map:
  - C
  - H
  - N
  - O
  - F
  - P
  - S
  - Cl
  - Br
  - I
  dataset_name: geom
  dataset_size: null
  processed_data_dir: data/geom/
  raw_data_dir: data/raw/
interpolant_scheduler:
  cosine_params:
    a: 2
    c: 2
    e: 2
    x: 1
  schedule_type:
    a: cosine
    c: cosine
    e: cosine
    x: cosine
lr_scheduler:
  base_lr: 0.0001
  restart_interval: 0
  restart_type: linear
  warmup_length: 1.0
  weight_decay: 1.0e-12
mol_fm:
  parameterization: dirichlet
  prior_config:
    a:
      align: false
      kwargs: {}
      type: uniform-simplex
    c:
      align: false
      kwargs: {}
      type: uniform-simplex
    e:
      align: false
      kwargs: {}
      type: uniform-simplex
    x:
      align: true
      kwargs:
        std: 1.0
      type: centered-normal
  time_scaled_loss: true
  total_loss_weights:
    a: 0.4
    c: 1.0
    e: 2.0
    x: 3.0
resume:
  run_id: dfyyu3fj
training:
  batch_size: 16
  evaluation:
    mols_to_sample: 64
    sample_interval: 0.012
    val_loss_interval: 0.012
  num_workers: 4
  output_dir: runs_paper_ed/
  trainer_args:
    accelerator: gpu
    accumulate_grad_batches: 2
    devices: 2
    limit_val_batches: 0.002
    max_epochs: 20
    num_nodes: 1
    strategy: ddp_find_unused_parameters_true
vector_field:
  convs_per_update: 1
  message_norm: 100
  n_cp_feats: 4
  n_hidden_edge_feats: 128
  n_hidden_scalars: 256
  n_message_gvps: 3
  n_molecule_updates: 5
  n_recycles: 1
  n_update_gvps: 3
  n_vec_channels: 16
  rbf_dim: 16
  rbf_dmax: 12
  separate_mol_updaters: true
  update_edge_w_distance: true
  w_max: 10
wandb:
  group: for-reals
  id: dfyyu3fj
  mode: online
  name: geom-dirichlet
  project: mol-fm
  save_dir: runs_paper_ed
